Show / Hide Table of Contents

# AsyncDisableTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncDisableTrigger : AsyncTriggerBase<AsyncUnit>, IUniTaskAsyncEnumerable<AsyncUnit>

##### Inheritance

System.Object → AsyncTriggerBase<AsyncUnit> → AsyncDisableTrigger

##### Implements

IUniTaskAsyncEnumerable<AsyncUnit>

### Members

#### Methods

Name | Description
--- | ---
GetOnDisableAsyncHandler() |
GetOnDisableAsyncHandler(CancellationToken) |
OnDisableAsync() |
OnDisableAsync(CancellationToken) |

### Methods

#### GetOnDisableAsyncHandler()

    public IAsyncOnDisableHandler GetOnDisableAsyncHandler()

##### Returns

IAsyncOnDisableHandler

#### GetOnDisableAsyncHandler(CancellationToken)

    public IAsyncOnDisableHandler GetOnDisableAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnDisableHandler

#### OnDisableAsync()

    public UniTask OnDisableAsync()

##### Returns

UniTask

#### OnDisableAsync(CancellationToken)

    public UniTask OnDisableAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask

### Implements

IUniTaskAsyncEnumerable<T>